org.eclipse.aether.transfer

## Enum TransferEvent.RequestType

- java.lang.Object
- - java.lang.Enum<TransferEvent.RequestType>
  - - org.eclipse.aether.transfer.TransferEvent.RequestType

- All Implemented Interfaces:
    Serializable, Comparable<TransferEvent.RequestType>
  Enclosing class:
    TransferEvent

      public static enum TransferEvent.RequestType
      extends Enum<TransferEvent.RequestType>

  The type of the request/transfer being performed.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GET` Download artifact/metadata.
    `GET_EXISTENCE` Check artifact/metadata existence only.
    `PUT` Upload artifact/metadata.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TransferEvent.RequestType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TransferEvent.RequestType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GET

          public static final TransferEvent.RequestType GET

      Download artifact/metadata.

    - #### GET_EXISTENCE

          public static final TransferEvent.RequestType GET_EXISTENCE

      Check artifact/metadata existence only.

    - #### PUT

          public static final TransferEvent.RequestType PUT

      Upload artifact/metadata.

  - ### Method Detail

    - #### values

          public static TransferEvent.RequestType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransferEvent.RequestType c : TransferEvent.RequestType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransferEvent.RequestType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2010-2012 The Eclipse Foundation. All Rights Reserved.